<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'assetdocs',

    /*
     * Package.
     */
    'package'   => 'incident',

    /*
     * Modules.
     */
    'modules'   => ['incident'],

    /*
     * Image size.
     */
    'image'    => [
        'xs' => [
            'width'     => '60',
            'height'    => '45',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],
        'sm' => [
            'width'     => '160',
            'height'    => '120',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],
        'md' => [
            'width'     => '460',
            'height'    => '345',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],
        'lg' => [
            'width'     => '800',
            'height'    => '600',
            'action'    => 'resize',
            'watermark' => 'img/logo/default.png',
        ],
        'xl' => [
            'width'     => '1000',
            'height'    => '750',
            'action'    => 'resize',
            'watermark' => 'img/logo/default.png',
        ],
    ],

    'incident'       => [
        'model'             => 'Assetdocs\Incident\Models\Incident',
        'table'             => 'incidents',
        'presenter'         => \Assetdocs\Incident\Repositories\Presenter\IncidentItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'upload_folder', 'id',  'ref',  'division_id',  'asset_id',  'damage_percentage',  'damage_details',  'status',  'status_date',  'employee_id',  'external_name',  'external_mobile',  'usedby_id',  'custodian_id',  'asset_type',  'action',  'slug',  'user_id',  'user_type',  'image',  'created_at',  'updated_at',  'deleted_at'],
        'translate'         => ['id',  'ref',  'division_id',  'asset_id',  'damage_percentage',  'damage_details',  'status',  'status_date',  'employee_id',  'external_name',  'external_mobile',  'usedby_id',  'custodian_id',  'asset_type',  'action',  'slug',  'user_id',  'user_type',  'image',  'created_at',  'updated_at',  'deleted_at'],

        'upload-folder'     => '/uploads/incident/incident',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],
];
