<?php

use Illuminate\Database\Migrations\Migration;

class CreateIncidentsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: incidents
         */
        Schema::create('incidents', function ($table) {
            $table->increments('id');
            $table->string('ref', 10)->nullable();
            $table->integer('division_id')->nullable();
            $table->integer('asset_id')->nullable();
            $table->decimal('damage_percentage', 5,2)->nullable();
            $table->text('damage_details')->nullable();
            $table->enum('status', ['Pending','Work in progress','Completed'])->nullable();
            $table->timestamp('status_date')->nullable();
            $table->integer('employee_id')->nullable();
            $table->string('external_name', 50)->nullable();
            $table->string('external_mobile', 15)->nullable();
            $table->integer('usedby_id')->nullable();
            $table->integer('custodian_id')->nullable();
            $table->enum('asset_type', ['Owned','Rented','Third party'])->nullable();
            $table->text('action')->nullable();
            $table->string('user_type', 10)->nullable();
            $table->mediumText('image')->nullable();
            $table->string('slug', 200)->nullable();
            $table->enum('status', ['draft', 'published', 'hidden', 'suspended', 'spam'])->default('draft')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('incidents');
    }
}
