@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('incident::incident.name') !!} <small> {!! trans('cms.manage') !!} {!! trans('incident::incident.names') !!}</small>
@stop

@section('title')
{!! trans('incident::incident.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="{!! trans_url('admin') !!}"><i class="fa fa-dashboard"></i> {!! trans('cms.home') !!} </a></li>
    <li class="active">{!! trans('incident::incident.names') !!}</li>
</ol>
@stop

@section('entry')
<div class="box box-warning" id='incident-incident-entry'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="incident-incident-list" class="table table-striped table-bordered data-table">
    <thead  class="list_head">
        <th>{!! trans('incident::incident.label.ref')!!}</th>
        <th>{!! trans('incident::incident.label.division_id')!!}</th>
        <th>{!! trans('incident::incident.label.asset_id')!!}</th>
        <th>{!! trans('incident::incident.label.damage_percentage')!!}</th>
        <th>{!! trans('incident::incident.label.damage_details')!!}</th>
        <th>{!! trans('incident::incident.label.status_date')!!}</th>
        <th>{!! trans('incident::incident.label.employee_id')!!}</th>
        <th>{!! trans('incident::incident.label.external_name')!!}</th>
        <th>{!! trans('incident::incident.label.external_mobile')!!}</th>
        <th>{!! trans('incident::incident.label.usedby_id')!!}</th>
        <th>{!! trans('incident::incident.label.custodian_id')!!}</th>
        <th>{!! trans('incident::incident.label.asset_type')!!}</th>
        <th>{!! trans('incident::incident.label.action')!!}</th>
    </thead>
    <thead  class="search_bar">
        <th>{!! Form::text('search[ref]')->raw()!!}</th>
        <th>{!! Form::numeric('search[division_id]')->raw()!!}</th>
        <th>{!! Form::numeric('search[asset_id]')->raw()!!}</th>
        <th>{!! Form::decimal('search[damage_percentage]')->raw()!!}</th>
        <th>{!! Form::text('search[damage_details]')->raw()!!}</th>
        <th>{!! Form::date_time_picker('search[status_date]')->raw()!!}</th>
        <th>{!! Form::numeric('search[employee_id]')->raw()!!}</th>
        <th>{!! Form::text('search[external_name]')->raw()!!}</th>
        <th>{!! Form::text('search[external_mobile]')->raw()!!}</th>
        <th>{!! Form::numeric('search[usedby_id]')->raw()!!}</th>
        <th>{!! Form::numeric('search[custodian_id]')->raw()!!}</th>
        <th>{!! Form::radios('search[asset_type]')->raw()!!}</th>
        <th>{!! Form::text('search[action]')->raw()!!}</th>
    </thead>
</table>
@stop

@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    app.load('#incident-incident-entry', '{!!trans_url('admin/incident/incident/0')!!}');
    oTable = $('#incident-incident-list').dataTable( {
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! trans_url('/admin/incident/incident') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $('#incident-incident-list .search_bar input, #incident-incident-list .search_bar select').each(
                function(){
                    aoData.push( { 'name' : $(this).attr('name'), 'value' : $(this).val() } );
                }
            );
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'ref'},
                    {data :'division_id'},
                    {data :'asset_id'},
                    {data :'damage_percentage'},
                    {data :'damage_details'},
                        {data :'status_date'},
                    {data :'employee_id'},
                    {data :'external_name'},
                    {data :'external_mobile'},
                    {data :'usedby_id'},
                    {data :'custodian_id'},
                    {data :'asset_type'},
                    {data :'action'},
        ],
        "pageLength": 25
    });

    $('#incident-incident-list tbody').on( 'click', 'tr', function () {

        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');

        var d = $('#incident-incident-list').DataTable().row( this ).data();

        $('#incident-incident-entry').load('{!!trans_url('admin/incident/incident')!!}' + '/' + d.id);
    });

    $("#incident-incident-list .search_bar input, #incident-incident-list .search_bar select").on('keyup select', function (e) {
        e.preventDefault();
        console.log(e.keyCode);
        if (e.keyCode == 13 || e.keyCode == 9) {
            oTable.api().draw();
        }
    });
});
</script>
@stop

@section('style')
@stop

